<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\ZsaAnmeldung\FilterBelegungen;

class FilterBelegungenPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new FilterBelegungenView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new FilterBelegungenViewModel();
    foreach (get_object_vars($this->useCaseResponse) as $key => $value) {
      $viewModel->{$key} = $value;
    }

    $statusOptionen = '';

    foreach ($this->useCaseResponse->statusOptionen as $key => $status) {
      $selected = ($key == $this->useCaseResponse->status) ? 'selected="selected"' : '';
      $statusOptionen .= '<option value="' . $key . '" ' . $selected . '>' . $status . '</option>';
    }
    $viewModel->statusOptionen = $statusOptionen;

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      
    );
  }
}